Skip to main content
POST
/
identity
/
v1
/
departments
Creates a new department in the caller's organization.
curl --request POST \
  --url https://api.sandbox.tesouro.com/identity/v1/departments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdDateTime": "2023-11-07T05:31:56Z",
  "memberCount": 123,
  "name": "<string>",
  "updatedDateTime": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Body

Cancellation token.

name
string
required

Response

Department created successfully.

id
string<uuid>
required
createdDateTime
string<date-time>
required
memberCount
required
name
string
required
updatedDateTime
string<date-time>
required